{% extends 'person/base.html' %}
{% load i18n extras static memberships %}

{% block title %}{{ object.name }}{% endblock %} 
{% block "css" %}{{ block.super }}
  <link rel="stylesheet" type="text/css" href="{% static "css/gallery.css" %}"/>
{% endblock %}

{% block "profile" %}
  <img id="photo" src="{{ object.icon.url }}"/>
{% endblock %}

{% block "side" %}
  {% if object.admin == request.user %}
    <a href="{% url "team.edit" object.slug %}" class="btn btn-danger" title=
      "{% trans "Edit the team's details as the team's administrator." %}">{% trans "Edit Team" %}</a>
  {% endif %}
  {% with membership=team|membership:request.user %}
    {% if team.charter %}
      <a href="{% url "team.charter" object.slug %}" class="btn btn-primary" disabled title=
        "{% trans "View team charter detailing responsibilities and rules." %}">{% trans "Team Charter" %}</a>
    {% endif %}

    {% if not membership.is_member %}
      {% if object.enrole == 'O' %}
        <a href="{% url "team.join" object.slug %}" class="btn btn-primary" title=
          "{% trans "Enroll yourself to become a member of this team." %}">{% trans "Join Team" %}</a>
      {% elif object.enrole in 'PT' %}
        {% if membership.is_requester %}
        <a class="btn" href="{% url "team.membership" object.slug %}" title=
            "{% trans "Your request for a team membership is pending." %}">{% trans "My Membership Request" %}</a>
        {% else %}
          <a href="{% url "team.join" object.slug %}" class="btn btn-primary" title=
            "{% trans "Ask for a team membership." %}">{% trans "Request Membership" %}</a>
        {% endif %}
      {% elif object.enrole == 'C' %}
        <a class="btn" disabled title=
          "{% trans "This team uses another mode of determining its members." %}">{% trans "Membership Closed" %}</a>
      {% elif object.enrole == 'E' %}
        <a class="btn" disabled title=
          "{% trans "This team uses an election to pick it's members." %}">{% trans "Elected Membership" %}</a>
      {% endif %}
    {% else %}
        <a class="btn" href="{% url "team.membership" object.slug %}">{% trans "My Membership" %}</a>
    {% endif %}

    {% if object.events.count > 0 %}
    <a href="{{ object.events.get_absolute_url }}" class="btn btn-success">{% trans "Calendar" %}</a>
    {% endif %}
    {% for room in object.chatrooms.all %}
      <a href="{{ room.get_absolute_url }}" class="btn btn-default" title="{% trans "Go to this chatroom" %}">{% if room.room_type %}{{ room.room_type }}{% else %}{% trans "IRC Chatroom" %}{% endif %}</a>
    {% endfor %}

    {% if object.side_bar %}
      {{ object.side_bar|safe }}
    {% endif %}

      <h2>{% trans "Information" %}</h2>
      <ul>
        <li>
          <a>
            <label>{% trans "Members" %}</label>
            <span>{{ object.members.count|default:0 }}</span>
          </a>
        </li>
      </ul>
        {% if request.user in object.peers %}
          <h2>{% trans "Join Requests" %}</h2>
          <ul>
          {% for membership in object.requests %}   
            <li><label><a href="{{ membership.get_absolute_url }}">{{ membership.user }}</a></label></li>
          {% empty %}
            <p>None</p>
          {% endfor %}
          </ul>
        {% endif %}
      </ul>
      {% if object.elections.all %}
        <h2>{% trans "Elections" %}</h2>
        <ul>
          {% for election in object.elections.all %}
            <li>
              {% if forloop.counter < 4 %}
              <a href="{{ election.get_absolute_url }}">
                  <label>{{ election.for_role|default:'' }} {{ election.voting_from.year }}</label>
                <span{% if election.state.failed %} class="failed"{% endif %}>{{ election.state.name }}</span>
              </a>
              {% elif forloop.counter == 4 %}
              <a href="{% url "elections:list" object.slug %}">
                <label>{% trans "More Elections" %}</label>
              </a>
              {% endif %}
            </li>
          {% endfor %}
        </ul>
      {% endif %}
    </div>
  {% endwith %}
{% endblock %}

{% block "content" %}
  {% if object.desc %}
    <h2>{% trans "Team Details" %}</h2>
    <div class="info">
      {{ object.desc|safe }}
    </div>
  {% endif %}
  {% if object.members.count %}
    <h2>{% trans "Team Members" %}</h2>

    <div class="photos"/>
      {% for member in object.members.all %}
       {% with user=member.user %}
        <div class="galleryitem">
          <a class="link" href="{% if request.user in object.peers %}{{ member.get_absolute_url }}{% else %}{{ user.get_absolute_url }}{% endif %}"><img src="{{ user.photo_url }}" title="Full User Details"/></a>
          <p title="Full User Details"><a href="{% if request.user in object.peers %}{{ member.get_absolute_url }}{% else %}{{ user.get_absolute_url }}{% endif %}">{{ user }}</a></p>
          <div class="minitabs">
            {% if member.title %}
              {% with text=member.title style=member.style %}
                {% include "ribbon.html" %}
              {% endwith %}
            {% elif member.role %}
              {% with text=member.role.title style=member.role.style %}
                {% include "ribbon.html" %}
              {% endwith %}
            {% endif %}
          </div>
        </div>
       {% endwith %}
      {% endfor %}
    </div>
  {% else %}
    <h2>No Team Members</h2>
  {% endif %}
  {% if object.old_members.count %}
    <h2>{% trans "Previous Team Members" %}</h2>
    <ul>
      {% for member in object.old_members %}
      <li><a href="{% if request.user in object.peers %}{{ member.get_absolute_url }}{% else %}{{ member.user.get_absolute_url }}{% endif %}">{{ member.user }}</a> ({{ member.joined.year }}{% if member.expired.year != member.joined.year %} - {{ member.expired.year }}{% endif %})</li>
      {% endfor %}
    </ul>
  {% endif %}
  <br/>
{% endblock %}

